[jitsi-dev] build Jitsi plugin for openmeetings


#1

Roman, TransparentPanel moved here:

https://github.com/jitsi/jitsi/tree/master/src/net/java/sip/communicator/plugin/desktoputil

···

--
With best regards / с наилучшими пожеланиями,
Alexei Fedotov / Алексей Федотов,
http://dataved.ru/
+7 916 562 8095

[1] Start using Apache Openmeetings today, http://openmeetings.apache.org/
[2] Join Alexei Fedotov @linkedin, http://ru.linkedin.com/in/dataved/
[3] Join Alexei Fedotov @facebook, http://www.facebook.com/openmeetings

On Thu, Aug 8, 2013 at 7:03 PM, Внуков Роман <slip@chnpp.gov.ua> wrote:

I tried different versions of jitsi(download sources of ver.1.0, 2.0, 2.2),
found only one version of openmeetings plugin.
Neither version does not contain a package
swing(net.java.sip.communicator.util.swing), although in the
openmeetingsplugin.manifest.mf this package included and other files of
plugin uses that package.
What I must do now?

V.Roman

08.08.2013 8:54, Внуков Роман пишет:

I'm sorry, for what version of jitsi is writen ths manual
http://dataved.googlecode.com/svn-history/r519/trunk/doc/build_ru.doc?

07.08.2013 15:25, Alexei Fedotov пишет:

I tihnk you should either update plug-in source or downgrade jitsi version.
--
With best regards / с наилучшими пожеланиями,
Alexei Fedotov / Алексей Федотов,
http://dataved.ru/
+7 916 562 8095

[1] Start using Apache Openmeetings today, http://openmeetings.apache.org/
[2] Join Alexei Fedotov @linkedin, http://ru.linkedin.com/in/dataved/
[3] Join Alexei Fedotov @facebook, http://www.facebook.com/openmeetings

On Wed, Aug 7, 2013 at 6:52 PM, Внуков Роман <slip@chnpp.gov.ua> wrote:

My jitsi source didn't have net.java.sip.communicator.util.swing
I try to find this package in the Internet
(http://massapi.com/package/net/java/sip/communicator/util/swing/package-summary.html).
May be it's wrong, but I tried to place it to needed place.
When I try to run "ant rebuild" after that? have next error:
compile:
    [javac] Compiling 2176 source files to d:\jitsi\classes
    [javac]
d:\jitsi\src\net\java\sip\communicator\util\swing\SIPCommFrame.java:
16: package net.java.sip.communicator.service.configuration does not exist
    [javac] import net.java.sip.communicator.service.configuration.*;
    [javac] ^
    [javac]
d:\jitsi\src\net\java\sip\communicator\util\swing\SIPCommFrame.java:
266: cannot find symbol
    [javac] symbol : class ConfigPropertyVetoException
    [javac] location: class
net.java.sip.communicator.util.swing.SIPCommFrame
    [javac] throws ConfigPropertyVetoException
    [javac] ^
    [javac]
d:\jitsi\src\net\java\sip\communicator\util\swing\SIPCommDialog.java
:14: package net.java.sip.communicator.service.configuration does not exist
    [javac] import net.java.sip.communicator.service.configuration.*;
    [javac] ^
    [javac]
d:\jitsi\src\net\java\sip\communicator\util\swing\MasterPasswordInpu
tDialog.java:35: cannot find symbol
    [javac] symbol : class ResourceManagementService
    [javac] location: class
net.java.sip.communicator.util.swing.MasterPasswordI
nputDialog
    [javac] private final ResourceManagementService resources
    [javac] ^
    [javac]
d:\jitsi\src\net\java\sip\communicator\util\swing\SIPCommTabbedPane.
java:267: cannot access
net.java.sip.communicator.util.swing.event.DoubleClickLi
stener
    [javac] bad class file:
d:\jitsi\src\net\java\sip\communicator\util\swing\ev
ent\DoubleClickListener.java
    [javac] file does not contain class
net.java.sip.communicator.util.swing.eve
nt.DoubleClickListener
    [javac] Please remove or make sure it appears in the correct
subdirectory of
the classpath.
    [javac] public synchronized void
addDoubleClickListener(DoubleClickListener
l)
    [javac] ^

BUILD FAILED
d:\jitsi\build.xml:283: Compile failed; see the compiler error output for
detail
s.

Total time: 36 seconds

07.08.2013 14:14, Alexei Fedotov пишет:

Check errors in your log,

package net.java.sip.communicator.util.swing does not exist

--
With best regards / с наилучшими пожеланиями,
Alexei Fedotov / Алексей Федотов,
http://dataved.ru/
+7 916 562 8095

[1] Start using Apache Openmeetings today, http://openmeetings.apache.org/
[2] Join Alexei Fedotov @linkedin, http://ru.linkedin.com/in/dataved/
[3] Join Alexei Fedotov @facebook, http://www.facebook.com/openmeetings

On Wed, Aug 7, 2013 at 6:12 PM, Внуков Роман <slip@chnpp.gov.ua> wrote:

07.08.2013 14:02, Alexei Fedotov пишет:

Somehow your build configuration does not link required jitsi
libraries. Please check if jitsi still have the package.
--
With best regards / с наилучшими пожеланиями,
Alexei Fedotov / Алексей Федотов,
http://dataved.ru/
+7 916 562 8095

[1] Start using Apache Openmeetings today,
http://openmeetings.apache.org/
[2] Join Alexei Fedotov @linkedin, http://ru.linkedin.com/in/dataved/
[3] Join Alexei Fedotov @facebook, http://www.facebook.com/openmeetings

On Wed, Aug 7, 2013 at 5:55 PM, Внуков Роман <slip@chnpp.gov.ua> wrote:

07.08.2013 13:42, Alexei Fedotov пишет:

package net.java.sip.communicator.util.swing does not exist

Roman, this seems to be a problem
have you downloaded jitsi sources?
--
With best regards / с наилучшими пожеланиями,
Alexei Fedotov / Алексей Федотов,
http://dataved.ru/
+7 916 562 8095

[1] Start using Apache Openmeetings today,
http://openmeetings.apache.org/
[2] Join Alexei Fedotov @linkedin, http://ru.linkedin.com/in/dataved/
[3] Join Alexei Fedotov @facebook,
http://www.facebook.com/openmeetings

Hi Alexey!
Yes I have downloaded sources of jitsi. I did everything according to
the
instructions
http://dataved.googlecode.com/svn-history/r519/trunk/doc/build_ru.doc

Thank you for reply

V.Roman

What package?
Openmeetings package in place

V.Roman